org.springframework.cloud.dataflow.configuration.metadata

## Class ApplicationConfigurationMetadataResolverAutoConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.configuration.metadata.ApplicationConfigurationMetadataResolverAutoConfiguration

-     @Configuration
      public class ApplicationConfigurationMetadataResolverAutoConfiguration
      extends Object

  Automatically exposes an `ApplicationConfigurationMetadataResolver` if none is already registered.
  Author:
    Eric Bottard, Christian Tzolov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationConfigurationMetadataResolverAutoConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainerImageMetadataResolver` | `containerImageMetadataResolver(org.springframework.cloud.dataflow.container.registry.ContainerRegistryService containerRegistryService)`
    `ApplicationConfigurationMetadataResolver` | `metadataResolver(ContainerImageMetadataResolver containerImageMetadataResolver)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationConfigurationMetadataResolverAutoConfiguration

          public ApplicationConfigurationMetadataResolverAutoConfiguration()

  - ### Method Detail

    - #### metadataResolver

          @Bean
           @ConditionalOnMissingBean(value=ApplicationConfigurationMetadataResolver.class)
          public ApplicationConfigurationMetadataResolver metadataResolver(ContainerImageMetadataResolver containerImageMetadataResolver)

    - #### containerImageMetadataResolver

          @Bean
           @ConditionalOnMissingBean(value=ContainerImageMetadataResolver.class)
          public ContainerImageMetadataResolver containerImageMetadataResolver(org.springframework.cloud.dataflow.container.registry.ContainerRegistryService containerRegistryService)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.